# Uses of Interface
org.gitana.platform.client.principal.DomainPrincipal

Packages that use DomainPrincipal
Package
Description
org.gitana.platform.client.api
org.gitana.platform.client.application
org.gitana.platform.client.archive
org.gitana.platform.client.billing
org.gitana.platform.client.branch
org.gitana.platform.client.datastore
org.gitana.platform.client.domain
org.gitana.platform.client.node
org.gitana.platform.client.principal
org.gitana.platform.client.project
org.gitana.platform.client.registrar
org.gitana.platform.client.release
org.gitana.platform.client.stack
org.gitana.platform.client.support
org.gitana.platform.client.team

## Uses of DomainPrincipal in org.gitana.platform.client.api

Methods in org.gitana.platform.client.api with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
ClientImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
ClientImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
ClientImpl.`hasPermission(DomainPrincipal principal, String authorityId)`
`void`
ClientImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
ClientImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.application

Methods in org.gitana.platform.client.application with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`Settings`
Application.`readApplicationPrincipalSettings(DomainPrincipal principal)`
`Settings`
ApplicationImpl.`readApplicationPrincipalSettings(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.archive

Methods in org.gitana.platform.client.archive with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
ArchiveImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
ArchiveImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
ArchiveImpl.`hasPermission(DomainPrincipal principal, String authorityId)`
`void`
ArchiveImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
ArchiveImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.billing

Methods in org.gitana.platform.client.billing with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
BillingProviderConfigurationImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
BillingProviderConfigurationImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
BillingProviderConfigurationImpl.`hasPermission(DomainPrincipal principal, String authorityId)`
`void`
BillingProviderConfigurationImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
BillingProviderConfigurationImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
BranchImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
BranchImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
BranchImpl.`hasPermission(DomainPrincipal principal, String authorityId)`
`void`
BranchImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
BranchImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
AbstractDataStoreImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
AbstractDataStoreImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
AbstractDataStoreImpl.`hasPermission(DomainPrincipal principal, String permissionId)`
`void`
AbstractDataStoreImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
AbstractDataStoreImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.domain

Methods in org.gitana.platform.client.domain that return DomainPrincipal
Modifier and Type
Method
Description
`DomainPrincipal`
Domain.`createPrincipal(org.gitana.platform.services.principals.PrincipalType type, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
DomainImpl.`createPrincipal(org.gitana.platform.services.principals.PrincipalType type, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
Domain.`readPrincipal(String principalId)`
`DomainPrincipal`
DomainImpl.`readPrincipal(String principalId)`
Methods in org.gitana.platform.client.domain that return types with arguments of type DomainPrincipal
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
Domain.`listPrincipals()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
Domain.`listPrincipals(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
DomainImpl.`listPrincipals()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
DomainImpl.`listPrincipals(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
Domain.`queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
Domain.`queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
DomainImpl.`queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
DomainImpl.`queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.domain with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
Domain.`deletePrincipal(DomainPrincipal principal)`
`void`
DomainImpl.`deletePrincipal(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`listMemberships(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`listMemberships(DomainPrincipal principal, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`listMemberships(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`listMemberships(DomainPrincipal principal, boolean includeIndirectMemberships)`
`void`
Domain.`updatePrincipal(DomainPrincipal principal)`
`void`
DomainImpl.`updatePrincipal(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.node

Methods in org.gitana.platform.client.node with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
NodeImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
NodeImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
NodeImpl.`hasPermission(DomainPrincipal principal, String permissionId)`
`void`
NodeImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
NodeImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.principal

Subinterfaces of DomainPrincipal in org.gitana.platform.client.principal
Modifier and Type
Interface
Description
`interface`
`DomainGroup`
`interface`
`DomainUser`
Classes in org.gitana.platform.client.principal that implement DomainPrincipal
Modifier and Type
Class
Description
`class`
`AbstractDomainPrincipalImpl`
`class`
`DomainGroupImpl`
`class`
`DomainUserImpl`
Methods in org.gitana.platform.client.principal that return types with arguments of type DomainPrincipal
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
DomainGroup.`listPrincipals()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
DomainGroup.`listPrincipals(boolean includeInherited)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
DomainGroupImpl.`listPrincipals()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
DomainGroupImpl.`listPrincipals(boolean includeInherited)`
Methods in org.gitana.platform.client.principal with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
DomainGroup.`addPrincipal(DomainPrincipal principal)`
`void`
DomainGroupImpl.`addPrincipal(DomainPrincipal principal)`
`void`
AbstractDomainPrincipalImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
AbstractDomainPrincipalImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
AbstractDomainPrincipalImpl.`hasPermission(DomainPrincipal principal, String permissionId)`
`void`
DomainGroup.`removePrincipal(DomainPrincipal principal)`
`void`
DomainGroupImpl.`removePrincipal(DomainPrincipal principal)`
`void`
AbstractDomainPrincipalImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
AbstractDomainPrincipalImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.project

Methods in org.gitana.platform.client.project with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
ProjectImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
ProjectImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
ProjectImpl.`hasPermission(DomainPrincipal principal, String authorityId)`
`void`
ProjectImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
ProjectImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.registrar

Methods in org.gitana.platform.client.registrar with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`Tenant`
Registrar.`createTenant(DomainPrincipal principal, String planKey)`
`Tenant`
Registrar.`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
Registrar.`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
`Tenant`
RegistrarImpl.`createTenant(DomainPrincipal principal, String planKey)`
`Tenant`
RegistrarImpl.`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
RegistrarImpl.`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
`Tenant`
Registrar.`lookupTenant(DomainPrincipal principal)`
`Tenant`
RegistrarImpl.`lookupTenant(DomainPrincipal principal)`
`String`
Registrar.`startCreateTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
Starts an job to create a tenant.
`String`
RegistrarImpl.`startCreateTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`

## Uses of DomainPrincipal in org.gitana.platform.client.release

Methods in org.gitana.platform.client.release with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
ReleaseImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
ReleaseImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
ReleaseImpl.`hasPermission(DomainPrincipal principal, String authorityId)`
`void`
ReleaseImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
ReleaseImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.stack

Methods in org.gitana.platform.client.stack with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
StackImpl.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
StackImpl.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
StackImpl.`hasPermission(DomainPrincipal principal, String authorityId)`
`void`
StackImpl.`revoke(DomainPrincipal principal, String authorityId)`
`void`
StackImpl.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return DomainPrincipal
Modifier and Type
Method
Description
`DomainPrincipal`
ObjectFactory.`domainPrincipal(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
ObjectFactory.`domainPrincipal(Domain domain, Response response)`
`DomainPrincipal`
ObjectFactory.`domainPrincipal(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
ObjectFactory.`domainPrincipal(Platform platform, Response response)`
`DomainPrincipal`
ObjectFactoryImpl.`domainPrincipal(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
ObjectFactoryImpl.`domainPrincipal(Domain domain, Response response)`
`DomainPrincipal`
ObjectFactoryImpl.`domainPrincipal(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
ObjectFactoryImpl.`domainPrincipal(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type DomainPrincipal
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
ObjectFactory.`domainPrincipals(Domain domain, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
ObjectFactory.`domainPrincipals(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
ObjectFactoryImpl.`domainPrincipals(Domain domain, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
ObjectFactoryImpl.`domainPrincipals(Platform platform, Response response)`
Methods in org.gitana.platform.client.support with parameters of type DomainPrincipal
Modifier and Type
Method
Description
`void`
AccessControllable.`grant(DomainPrincipal principal, String authorityId)`
`boolean`
AccessControllable.`hasAuthority(DomainPrincipal principal, String authorityId)`
`boolean`
AccessControllable.`hasPermission(DomainPrincipal principal, String permissionId)`
`void`
AccessControllable.`revoke(DomainPrincipal principal, String authorityId)`
`void`
AccessControllable.`revokeAll(DomainPrincipal principal)`

## Uses of DomainPrincipal in org.gitana.platform.client.team

Methods in org.gitana.platform.client.team that return types with arguments of type DomainPrincipal
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
Team.`listMembers()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
Team.`listMembers(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
TeamImpl.`listMembers()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
TeamImpl.`listMembers(org.gitana.platform.support.Pagination pagination)`